PIP 0.5.0_alpha Platform-Independent Primitives

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
PIStateMachine< Type >::Rule Struct Reference

Rule of transition between states of machine More...

## Public Member Functions
| Rule ()
| Constuctor.
| Rule (Type f, Type t, const PIStringList &c=PIStringList(), Handler h=0, bool at=false, bool rac=false)
| Constuctor.
void | addCondition (const PIString &name, int times=1)
| Add condition of transition.

## Public Attributes
Type | from
| Source state.
Type | to
| Destination state.
PIVector< Condition > | conditions
| Conditions of transition
bool | autoTransition
| Automatic transition.
bool | resetAllConditions
| Reset or not all performed conditions of machine on transition.
Handler | handler
| Pointer to function executed on transition.

## Detailed Description

### template<typename Type = int>
struct PIStateMachine< Type >::Rule

Rule of transition between states of machine